div.WhoreGUI {
    width: 800px;
    height: 400px;
    background-color: black;
    position: relative;
    border: 1px solid;
    border-color: saddlebrown;
}

div.WhoreCustomerGUI {
    position: absolute;
    top: 5px;
    left: 5px;
    width: 180px;
    height: 130px;
    border-radius: 5px 25px;
    border: 1px solid saddlebrown;
    font-family: monospace, monospace;
    cursor: pointer;
}

span.WhoreLabel {
    color: yellow;
    font-size: smaller;
    position: absolute;
    top: -1px;
    left: 3px;
}

span.WhoreRank {
    color: grey;
    font-size: smaller;
    position: absolute;
    top: -1px;
    left: 155px;
}

span.WhoreRank {
    font-size: smaller;
    position: absolute;
    top: -1px;
    left: 155px;
}

span.Pay1 {
    color:grey;
}

span.Pay2 {
    color: yellow;
}

span.Pay3 {
    color: green;
}
span.Pay4 {
    color: hotpink;
}

span.Pay5 {
    color: cyan;
}

div.WhoreStatus {
    position: relative;
    top: 0;
    left: 590px;
    width: 210px;
    height: 400px;
    border-left: 2px groove dimgrey;
    background-color: saddlebrown;
    font-family: monospace;
    font-size:small;

}

div.WhoreStatusTitle {
    position: absolute;
    top: 10px;
    left: 10px;
    width: 190px;
    background-color: black;
    color: cyan;
    text-align: center;
}

div.WhoreMarquee {
    position: absolute;
    top: 00px;
    left: 10px;
    width: 190px;
    height: 50px;
    background-size: contain;
    background-repeat: no-repeat;
}

span.WhoreSpinsLeftTitle {
    position:absolute;
    top: 30px;
    left: 10px;
    color:yellow;
    font-size: larger;
}

div.WhoreSpinsLeftBox {
    position:absolute;
    width: 180px;
    height: 40px;
    top: 53px;
    left: 10px;
    background-color: black;
    color:yellow;
    font-size: medium;
    padding-left: 5px;
    padding-right: 5px;
    overflow: hidden;
}

button.WhoreBuySpinButton {
    position: absolute;
    left: 20px;
    top: 96px;
    color: yellow;
    border: 1px solid black;
    background-color: saddlebrown;
}
button:hover.WhoreBuySpinButton {
    background-color: sienna;
}

span.WhoreWildcardTitle {
    position:absolute;
    top: 125px;
    left: 10px;
    color:yellow;
    font-size: larger;
}

div.WhoreWildcardBox {
    position:absolute;
    width: 190px;
    height: 68px;
    top: 145px;
    left: 10px;
    background-color: black;
    font-size: medium;
}

span.WhoreWildcardStyle {
    color: cyan;
    font-size: medium;
    position: absolute;
    top: 5px;
    left: 5px;

}

div.WhoreWildcardStyle {
    background-color: #3355aa;
    width: 100px;
    height: 16px;
    position: absolute;
    top : 6px;
    left: 85px;
    border-radius: 5px;
}

span.WhoreWildcardPerversion {
    color: mediumvioletred;
    font-size: medium;
    position: absolute;
    top: 25px;
    left: 5px;

}

div.WhoreWildcardPerversion {
    background-color: mediumvioletred;
    width: 100px;
    height: 16px;
    position: absolute;
    top : 26px;
    left: 85px;
    border-radius: 5px;
}

span.WhoreWildcardFemininity {
    color: limegreen;
    font-size: medium;
    position: absolute;
    top: 45px;
    left: 5px;
}

div.WhoreWildcardFemininity {
    background-color: limegreen;
    width: 100px;
    height: 16px;
    position: absolute;
    top : 46px;
    left: 85px;
    border-radius: 5px;
}

/* Display an outline on customer 'progress-bar' */
div.WhoreMood::after, div.WhoreLust::after, div.WhoreSatisfaction::after,
div.WhoreWildcardStyle::after, div.WhoreWildcardPerversion::after, div.WhoreWildcardFemininity::after {
	content: "";
    height:100%;
    width:100px;
    display:block;
    z-index:-3;
    border-radius:5px;
    box-shadow: 0 0 0 1pt hsla(0, 0%, 80%, .4);
}

button.WhoreSpinButton {
    position: absolute;
    left: 10px;
    top: 360px;
    color: yellow;
    font-size: larger;
    border: 1px solid black;
    background-color: saddlebrown;
}

button:hover.WhoreSpinButton {
    background-color: sienna;
}

button.WhoreCashOutButton {
    position: absolute;
    left: 115px;
    top: 360px;
    color: yellow;
    font-size: larger;
    border: 1px solid black;
    background-color: saddlebrown;
}

button:hover.WhoreCashOutButton {
    background-color: sienna;
}

span.WhoreLootTitle {
    position:absolute;
    top: 215px;
    left: 10px;
    color:yellow;
    font-size: larger;
}

div.WhoreLootBox {
    position:absolute;
    width: 185px;
    height: 116px;
    top: 233px;
    left: 10px;
    background-color: black;
    font-size: medium;
    padding-left: 5px;
    overflow: hidden;
}

span.WhoreWantColor1 {
    color: limegreen;
}

span.WhoreWantColor2 {
    color: yellow;
}

span.WhoreWantColor3 {
    color: wheat;
}

span.WhoreWantColor0 {
    color: deeppink;
}
span.WhoreMood {
    color: cyan;
    font-size: smaller;
    position: absolute;
    top: 20px;
    left: 10px;
}

div.WhoreMood {
    background-color: #3355aa;
    width: 100px;
    height: 16px;
    position: absolute;
    top : 22px;
    left: 50px;
    border-radius: 5px;
}

span.WhoreLust {
    color: mediumvioletred;
    font-size: smaller;
    position: absolute;
    top: 40px;
    left: 10px;

}

div.WhoreLust {
    background-color: mediumvioletred;
    width: 100px;
    height: 16px;
    position: absolute;
    top : 42px;
    left: 50px;
    border-radius: 5px;
}

span.WhoreSatisfaction {
    color: limegreen;
    font-size: smaller;
    position: absolute;
    top: 60px;
    left: 10px;
}

div.WhoreSatisfaction {
    background-color: limegreen;
    width: 100px;
    height: 16px;
    position: absolute;
    top : 62px;
    left: 50px;
    border-radius: 5px;
}

span.WhoreWant {
    color: yellow;
    font-size: smaller;
    position: absolute;
    top: 82px;
    left: 10px;
}

span.WhoreWant1 {
    font-size: smaller;
    position: absolute;
    top: 82px;
    left: 55px;
}

span.WhoreWant2 {
    font-size: smaller;
    position: absolute;
    top: 82px;
    left: 94px;
}
span.WhoreWant3 {
    font-size: smaller;
    position: absolute;
    top: 82px;
    left: 135px;
}

span.WhoreBonus {
    color: yellow;
    font-size: smaller;
    position: absolute;
    top: 102px;
    left: 10px;
}

span.WhoreBonusSlot {
    font-size: smaller;
    position: absolute;
    top: 102px;
    left: 55px;
}

span.BonusCatPerversion {
    color: deepPink;
}

span.BonusCatFemininity {
    color: limegreen;
}

span.BonusCatBeauty {
    color: cyan;
}

div.CustomerComplete {
    position: absolute;
    bottom: -2px;
    background: black;
    color: lime;
    font-size: medium;
    font-weight: bolder;
    width: 180px;
    text-align: center;
}

div.WhoreCustomer {
    background-size: contain;
    background-repeat: no-repeat;
    overflow: hidden;
}

#WhoreCustomer0 {
    top: 10px;
    left: 10px;
}

#WhoreCustomer1 {
    top: 10px;
    left: 205px;
}

#WhoreCustomer2 {
    top: 10px;
    left: 400px;
}

#WhoreCustomer3 {
    top: 155px;
    left: 10px;
}

#WhoreCustomer4 {
    top: 155px;
    left: 205px;
}

#WhoreCustomer5 {
    top: 155px;
    left: 400px;
}

div.SlotReel {
    position: absolute;
    width: 60px;
    height: 90px;
    background-color: lavender;
}

#WhoreSlot1 {
    top: 300px;
    left: 5px;
}

#WhoreSlot2 {
    top: 300px;
    left: 70px;
}

#WhoreSlot3 {
    top: 300px;
    left: 135px;
}

#WhoreSlot4 {
    top: 300px;
    left: 200px;
}

#WhoreSlot5 {
    top: 300px;
    left: 265px;
}

#WhoreSlot6 {
    top: 300px;
    left: 330px;
}

#WhoreSlot7 {
    top: 300px;
    left: 395px;
}

#WhoreSlot8 {
    top: 300px;
    left: 460px;
}

#WhoreSlot9 {
    top: 300px;
    left: 525px;
}

#SlotContainer {
    position: absolute;
    top: 300px;
    left: 5px;
}

div.SlotWinner {
    position: absolute;
    width: 60px;
    height: 60px;
    text-align: center;
    vertical-align: middle;
    line-height: 60px;
    z-index: 10;
}
span.SlotPayout {
    color: gold;
    font-weight: bold;
    font-size: medium;
}

span.SlotXp {
    color: orangered;
    font-weight: bold;
    font-size: medium;
}

span.SlotMood {
    color: cyan;
    font-weight: bold;
    font-size: small;
}

span.SlotLust {
    color: deeppink;
    font-weight: bold;
    font-size: small;
}

.LockedSlot {
    overflow:hidden;
    display:inline-block;
    margin-right: 5px;
    width: 60px;
    height: 90px;
    background-image:[img[locked_slot_icon]];
}

.AssSlotReel {
    background-image:[img[ass_slot_icon]];
}

.TitsSlotReel {
    background-image:[img[tits_slot_icon]];
}

.HandSlotReel {
    background-image:[img[hand_slot_icon]];
}

.BJSlotReel {
    background-image:[img[bj_slot_icon]];
}

.FemSlotReel {
    background-image:[img[fem_slot_icon]];
}

.PervSlotReel {
    background-image:[img[perv_slot_icon]];
}

.BeautySlotReel {
    background-image: [img[beauty_slot_icon]];
}

.ezslots>.window{
    overflow:hidden;
    display:inline-block;
    margin-right: 5px;
    background-color: dimgrey;
}
.ezslots>.window>.slider>.symbol{
    text-align:center;
    display:table;
}
.ezslots>.window>.slider>.symbol>.content{
    padding:0px;
    margin:0px;
    display:table-cell;
    text-align:center;
    vertical-align:middle;
    color: yellow;
}

div.DesperationContainer {
    width: 800px;
    height: 40px;
    position: relative;
    top: -20px;
}

div.DesperationBar {
    width: 580px;
    height: 30px;
    position: absolute;
    top: 3px;
    left: 10px;
    border: 2px solid darkgray;
    border-radius: 20px;
    z-index: 20;
}

div.DesperationFiller {
    width: 0px;
    height: 30px;
    position: absolute;
    top: 5px;
    left: 12px;
    background-color: darkred;
    border-radius: 20px 20px 20px 20px;
    z-index: 10;
}

img.DesperationSlotIcon {
    width: 34px;
    height: 34px;
    position: absolute;
    top: 3px;
    left: 558px;
    z-index: 20;
}

button.DesperationButtonDeactivated {
    position: absolute;
    top: 2px;
    left: 612px;
    font-size: medium;
    border: solid 1px;
    opacity: 0.1;
    cursor: default;
}

button.DesperationButtonActivated {
    position: absolute;
    top: 2px;
    left: 612px;
    font-size: medium;
    background-color: dimgrey;
    border:solid 1px;
    opacity: 1.0;
    cursor: pointer;
}

div.WhoreDialog {
    position:absolute;
    top: 90px;
    left: 0px;
    width: 600px;
    text-align: center;
    pointer-events: none;
    z-index: 20;
}

.ml1 {
    font-weight: 900;
    font-family: Impact monospace;
    font-size: 2.5em;
    z-index: 10;
}

.ml1 .letter {
    display: inline-block;
    line-height: 1em;
}

.ml1 .text-wrapper {
    position: relative;
    display: inline-block;
    padding-top: 0.1em;
    padding-right: 0.05em;
    padding-bottom: 0.15em;
}

.ml1 .line {
    opacity: 0;
    position: absolute;
    left: 0;
    height: 3px;
    width: 100%;
    background-color: #fff;
    transform-origin: 0 0;
}

.ml1 .line1 { top: 0; }
.ml1 .line2 { bottom: 0; }

.ml13 {
    font-size: 1.5em;
    font-family: Impact monospace;
    text-transform: uppercase;
    letter-spacing: 0.3em;
    font-weight: 600;
    z-index: 10;
}

.ml13 .letter {
    display: inline-block;
    line-height: 2em;
}

h1.ml8 {
    font-weight: 900;
    font-size: 4.5em;
    color: #fff;
    width: 600px;
    height: 3em;
    position: absolute;
    top: -50px;
    left: 0px;
    z-index: 10;
}

.ml8 .letters-container {
    position: absolute;
    left: 0;
    right: 0;
    margin: auto;
    top: 0;
    bottom: 0;
    height: 1em;
}

.ml8 .letters {
    position: relative;
    z-index: 2;
    display: inline-block;
    line-height: 0.7em;
    right: -0.12em;
    top: -0.2em;
}

.ml8 .bang {
    font-size: 1.4em;
    top: auto;
    left: -0.06em;
}

.ml8 .circle {
    position: absolute;
    left: 0;
    right: 0;
    margin: auto;
    top: 0;
    bottom: 0;
}

.ml8 .circle-white {
    width: 3em;
    height: 3em;
    border: 2px dashed darkred;
    border-radius: 2em;
}

.ml8 .circle-dark {
    width: 2.2em;
    height: 2.2em;
    background-color: darkred;
    border-radius: 3em;
    z-index: 1;
}

.ml8 .circle-dark-dashed {
    border-radius: 2.4em;
    background-color: transparent;
    border: 2px dashed darkred;
    width: 2.3em;
    height: 2.3em;
}

div.SlotInventoryUI {
    position: relative;
}

div.OpenSlot {
    overflow:hidden;
    display:inline-block;
    margin-right: 15px;
    margin-top: 5px;
    width: 60px;
    height: 90px;
    background-color: black;
    border: solid 1px red;
    cursor: pointer;
}

div.SlottedSlot {
    overflow:hidden;
    display:inline-block;
    margin-right: 15px;
    margin-top: 5px;
    width: 60px;
    height: 90px;
    background-color: black;
    cursor: pointer;
}

div.LockedSlot2 {
    overflow:hidden;
    display:inline-block;
    margin-right: 15px;
    margin-top: 5px;
    width: 60px;
    height: 90px;
    background-image:[img[locked_slot_icon]];
}

div.SlotInventory {
    width: 332px;
    height: 200px;
    position: absolute;
    top: 102px;
    font-size: smaller;
    overflow-y:scroll;
    margin-bottom: 1px;
    border: solid 1px black;
}

div.SlotInventoryItem {
    width: 301px;
    font-size: smaller;
    background-color: #223344;
    margin-bottom: 4px;
    margin-left: 2px;
    padding-left: 4px;
    text-align: left;
}

span.SlotHeader {
    width: 99%;
    font-weight: bold;
    margin-bottom: 2px;
}

span.SlotAttribute {
    margin-left: 5px;
    margin-right: 5px;
    display: inline-block;
    color: whitesmoke;
}

div.SlotCurrent {
    width: 332px;
    height: 200px;
    position: absolute;
    top: 102px;
    left: 341px;
    font-size: smaller;
    border: solid 1px black;
    background-color: #223344;
}

div.SlotCurrentHeader {
    overflow:hidden;
    width: 260px;
    height: 25px;
    font-size: smaller;
    display: inline-block;
    margin-left: 10px;
}
div.SlotCurrentButton {
    overflow:hidden;
    width: 60px;
    font-size: smaller;
    display: inline-block;
}

button.RemoveSlotButton {
    width: 60px;
    border-radius: 5px;
    margin-top: 2px;
    margin-bottom: 2px;
    background-color: darkslategray;
}

button:hover.RemoveSlotButton {
    background-color: grey;
}

button.EquipSlotButton {
    width: 60px;
    border-radius: 5px;
    margin-top: 2px;
    margin-left: 235px;
    margin-bottom: 2px;
    background-color: darkslategray;
}

button:hover.EquipSlotButton {
    background-color: grey;
}

hr.SlotCurrent {
    display: block;
    height: 1px;
    border: none;
    border-top: 1px dashed #eee;
    border-bottom: 1px dashed #eee;
    padding: 0;
    margin-bottom: 2px;
    margin-top: 0px;
}

div.xxxDiv {
    position: absolute;
    top: 0px;
    width: 590px;
    height: 400px;
    opacity: 0.0;
    z-index: 5;
}

/* Classes for Marquee icons for slot game */

.mq_salty_mermaid { background-image: [img[salty_mermaid_marquee]] }
